PULSAR

Get O E E

Get a single OEE, identified by shiftId.

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Path Parameters

shiftId*number

The shift's ID.

Formatdouble

Response Body

application/json

Try it live
GET
/kpi/oee/{shiftId}

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/kpi/oee/0.1"
{  "averageSpeed": 0,  "stops": 0,  "downtime": 0,  "uptime": 0,  "total": 0,  "defects": 0,  "correct": 0,  "produced": 0,  "minutesLostByLowQuality": 0,  "minutesLostByLowSpeed": 0,  "netAvailability": 0,  "netOee": 0,  "oee": 0,  "totalOee": 0,  "totalPerformance": 0,  "performance": 0,  "effectiveness": 0,  "quality": 0,  "availability": 0}